﻿package  
{
	import idv.cjcat.stardust.common.clocks.ImpulseClock;
	import idv.cjcat.stardust.threeD.papervision3d.renderers.PV3DParticleRenderer;
	
	public class Rocket 
	{
		
		private var flame1:RocketFlame;
		private var flame2:RocketFlame2;
		private var flame3:RocketFlame3;
		
		public function Rocket(renderer:PV3DParticleRenderer, xpos:Number, ypos:Number, zpos:Number) 
		{
			flame1 = new RocketFlame();
			flame2 = new RocketFlame2();
			flame3 = new RocketFlame3();
			flame1.position.x = flame2.position.x = flame3.position.x = xpos;
			flame1.position.y = flame2.position.y = flame3.position.y = ypos;
			flame1.position.z = flame2.position.z = flame3.position.z = zpos;
			
			renderer.addEmitter(flame1);
			renderer.addEmitter(flame2);
			renderer.addEmitter(flame3);
			
			flame1.step();
		}
		
		public function update(mouseDown:Boolean):void
		{
			if (mouseDown)
			{
				ImpulseClock(flame3.clock).impulse();
			}
			else
			{
				ImpulseClock(flame2.clock).impulse();
			}
			
			flame2.step();
			flame3.step();
		}
		
	}
	
}