﻿package  
{
	import flash.display.Sprite;
	import idv.cjcat.stardust.common.actions.Age;
	import idv.cjcat.stardust.common.actions.DeathLife;
	import idv.cjcat.stardust.common.clocks.SteadyClock;
	import idv.cjcat.stardust.common.initializers.Life;
	import idv.cjcat.stardust.common.math.UniformRandom;
	import idv.cjcat.stardust.threeD.actions.Move3D;
	import idv.cjcat.stardust.threeD.emitters.Emitter3D;
	import idv.cjcat.stardust.threeD.initializers.Position3D;
	import idv.cjcat.stardust.threeD.initializers.Velocity3D;
	import idv.cjcat.stardust.threeD.papervision3d.initializers.PV3DDisplayObject3DClass;
	import idv.cjcat.stardust.threeD.papervision3d.initializers.PV3DParticle;
	import idv.cjcat.stardust.threeD.zones.CubeZone;
	import idv.cjcat.stardust.threeD.zones.SinglePoint3D;
	import org.papervision3d.materials.special.MovieParticleMaterial;
	import org.papervision3d.materials.special.ParticleMaterial;

	public class RocketFlame extends Emitter3D
	{
		
		public var position:SinglePoint3D;
		
		public function RocketFlame() 
		{
			super(new SteadyClock(1));
			
			var particle:Sprite = new Sprite();
			particle.graphics.beginFill(0xE80000);
			particle.graphics.drawCircle(0, 0, 22);
			particle.graphics.beginFill(0xFFFFFF);
			particle.graphics.drawCircle(0, 0, 14);
			particle.graphics.endFill();
			
			position = new SinglePoint3D();
			addInitializer(new Position3D(position));
			addInitializer(new PV3DParticle([new MovieParticleMaterial(particle)]));
			addInitializer(new Velocity3D(new CubeZone(0, 0, 0, 0, 0, -1)));
			
			//actions
			addAction(new Move3D());

		}
		
	}
	
}